---@meta

---@class ABP_Interactable_Beer_C : ABP_Interactable_Actor_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field SkeletalMesh USkeletalMeshComponent
---@field DrinkingSequenceSFX UAudioComponent
---@field DrinkingAchivement TSoftObjectPtr<URGAchievementStat>
local ABP_Interactable_Beer_C = {}

---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HoldTime double
---@param Success boolean
function ABP_Interactable_Beer_C:TryToDropThisActor(PlayerCharacter, HoldTime, Success) end
function ABP_Interactable_Beer_C:StopDrinkingSFX() end
function ABP_Interactable_Beer_C:PlayDrinkingSFX() end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyEnd_1F7037CB4B8377BC0EDBADA0E278EAF8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyBegin_1F7037CB4B8377BC0EDBADA0E278EAF8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnInterrupted_1F7037CB4B8377BC0EDBADA0E278EAF8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnBlendOut_1F7037CB4B8377BC0EDBADA0E278EAF8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnCompleted_1F7037CB4B8377BC0EDBADA0E278EAF8(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyEnd_6FEFF0B942BDAEF44ADBF7B3DE4ACD81(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyBegin_6FEFF0B942BDAEF44ADBF7B3DE4ACD81(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnInterrupted_6FEFF0B942BDAEF44ADBF7B3DE4ACD81(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnBlendOut_6FEFF0B942BDAEF44ADBF7B3DE4ACD81(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnCompleted_6FEFF0B942BDAEF44ADBF7B3DE4ACD81(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Beer_C:InpActEvt_IA_PrimaryFire_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyEnd_0015861246355FF6E468C7ADCAA47D6A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyBegin_0015861246355FF6E468C7ADCAA47D6A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnInterrupted_0015861246355FF6E468C7ADCAA47D6A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnBlendOut_0015861246355FF6E468C7ADCAA47D6A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnCompleted_0015861246355FF6E468C7ADCAA47D6A(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyEnd_3406C18F49A3F1ABFD6B8BB7AF15BC90(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnNotifyBegin_3406C18F49A3F1ABFD6B8BB7AF15BC90(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnInterrupted_3406C18F49A3F1ABFD6B8BB7AF15BC90(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnBlendOut_3406C18F49A3F1ABFD6B8BB7AF15BC90(NotifyName) end
---@param NotifyName FName
function ABP_Interactable_Beer_C:OnCompleted_3406C18F49A3F1ABFD6B8BB7AF15BC90(NotifyName) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Interactable_Beer_C:InpActEvt_IA_Drop_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_Interactable_Beer_C:CallBackPrimaryFire(Player, Stop) end
function ABP_Interactable_Beer_C:ReceiveBeginPlay() end
---@param EntryPoint int32
function ABP_Interactable_Beer_C:ExecuteUbergraph_BP_Interactable_Beer(EntryPoint) end


